### Method

# Gio DtlsConnection set_database

since: 2.48

#### Declaration

    void
    g_dtls_connection_set_database (
      GDtlsConnection* conn,
      GTlsDatabase* database
    )

#### Description

Sets the certificate database that is used to verify peer certificates. This is set to the default database by default. See g_tls_backend_get_default_database(). If set to `NULL`, then peer certificate validation will always set the `G_TLS_CERTIFICATE_UNKNOWN_CA` error (meaning `GDtlsConnection::accept-certificate` will always be emitted on client-side connections, unless that bit is not set in `GDtlsClientConnection:validation-flags`).

There are nonintuitive security implications when using a non-default database. See `GDtlsConnection:database` for details.

Available since: 2.48

Sets property | `Gio.DtlsConnection:database`

#### Parameters

`database`

  Type: `GTlsDatabase`

  A `GTlsDatabase`.

  The argument can be `NULL`.
  The data is owned by the caller of the method.